=== debian/control ===
Source: qt6integration
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 qt6-base-dev,
 qt6-base-private-dev,
 libdtk6widget-dev,
 libdtkcommon-dev,
 pkg-config,
 libfontconfig1-dev,
 libfreetype-dev,
 libglib2.0-dev,
 qt6-svg-dev,
 libmtdev-dev,
 libegl1-mesa-dev,
 libxrender-dev,
 libgtest-dev,
 libgmock-dev
Standards-Version: 3.9.8

Package: dde-qt6integration
Architecture: any
Provides: libqt6deepintheme-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt6xcb-plugin
Description: Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt6 integration for DDE is included.
