## qt6integration 6.0.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" OFF)
+option(BUILD_TESTS "Build tests" ON)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
@@ -103,12 +103,22 @@
 endfunction()
 
 find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)
-cmake_dependent_option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON "QT_VERSION_MAJOR EQUAL 5" OFF)
+
+option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON)
+find_package(Qt${QT_VERSION_MAJOR}Xdg)
+if (NOT Qt${QT_VERSION_MAJOR}Xdg_FOUND)
+    message(WARNING " Qt${QT_VERSION_MAJOR}XdgIconLoader Not Found, DISABLE QtXdgIconLoader !")
+    set (ENABLE_QT_XDG_ICON_LOADER OFF)
+endif()
+
 if(ENABLE_QT_XDG_ICON_LOADER)
-  find_package(Qt5XdgIconLoader REQUIRED)
-  find_package(Qt5Xdg REQUIRED)
-  set(QT_XDG_ICON_DEPS Qt5XdgIconLoader Qt5Xdg)
-  set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
+  set(QT_XDG_ICON_DEPS Qt${QT_VERSION_MAJOR}XdgIconLoader Qt${QT_VERSION_MAJOR}Xdg)
+
+  if("${QT_VERSION_MAJOR}" STREQUAL "5")
+      set(XDG_ICON_VERSION_MAJOR ${Qt5XdgIconLoader_VERSION_MAJOR})
+  elseif("${QT_VERSION_MAJOR}" STREQUAL "6")
+      set(XDG_ICON_VERSION_MAJOR ${Qt6XdgIconLoader_VERSION_MAJOR})
+  endif()
 endif()
 
 set(PLUGIN_OUTPUT_BASE_DIR ${CMAKE_BINARY_DIR}/plugins CACHE STRING "Plugin output base path")
@@ -121,6 +131,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS)
+if(BUILD_TESTS AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
   add_subdirectory(tests)
 endif()
