## qt6integration 6.0.35

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" ON)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
@@ -49,6 +48,7 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
 elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
+  set(BUILD_TESTING ON)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
 endif()
 
@@ -131,6 +131,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
+if(BUILD_TESTING)
   add_subdirectory(tests)
 endif()
