=== debian/changelog ===
qt6integration (6.0.35) unstable; urgency=medium

  * Release 6.0.35

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:31 +0800
