## qt6integration 6.0.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,9 @@
 
 cmake_minimum_required(VERSION 3.13)
 
-set(DTK_VERSION
-  5.6.12
-  CACHE STRING "Project version"
-)
+file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "Project version")
 
 project(
   qtintegration
